---
title: Read Ingestion Run
description: "Reference for the GET /console/v1/ingestion/runs/{id} API endpoint."
product: general
token_estimate: 1929
---
# Read Ingestion Run

> For AI agents: a documentation index is available at [/llms.txt](/llms.txt). Append `.md` to any page URL for markdown, or send `Accept: text/markdown`.

## Read Ingestion Run

**GET** `/console/v1/ingestion/runs/{id}`

Full URL: `https://statsigapi.net/console/v1/ingestion/runs/{id}`

Read Ingestion Run

## Authorizations

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| STATSIG-API-KEY | string | Yes | — | apiKey (header) |

## Path parameters

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| id (path) | string | Yes | — | id |

## Response (application/json)

**200** — Read Ingestion Run Success

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| message | string | Yes | — | A simple string explaining the result of the operation. |
| data | object | Yes | — | — |
| data.runID | string | Yes | — | — |
| data.latestStatus | string | Yes | — | — |
| data.lastUpdatedAt | string | Yes | — | Constraints: format: date-time |
| data.createdAt | string | Yes | — | Constraints: format: date-time |
| data.trigger | string | Yes | — | — |
| data.sources | string[] | Yes | — | — |
| data.dateStamps | string[] | Yes | — | — |
| data.runHistory | object[] | Yes | — | — |
| data.runHistory.statusTimestamp | string | Yes | — | Constraints: format: date-time |
| data.runHistory.status | string | Yes | — | — |
| data.granularHistory | object[] | Yes | — | — |
| data.granularHistory.source | string | Yes | — | — |
| data.granularHistory.latestSourceStatus | string | Yes | — | — |
| data.granularHistory.statusByDate | object[] | Yes | — | — |
| data.granularHistory.statusByDate.dateStamp | string | Yes | — | — |
| data.granularHistory.statusByDate.statuses | object[] | Yes | — | — |
| data.granularHistory.statusByDate.statuses.statusTimestamp | string | Yes | — | Constraints: format: date-time |
| data.granularHistory.statusByDate.statuses.status | string | Yes | — | — |

```json
{
  "message": "Ingestion Run Read Successfully",
  "data": {
    "runID": "de941fa2-3e0f-44ec-a44c-5c51eed07e0d",
    "latestStatus": "download_error",
    "lastUpdatedAt": "2023-12-13T02:44:23.790Z",
    "createdAt": "2023-12-13T02:30:55.992Z",
    "trigger": "scheduled",
    "sources": [
      "Events 1",
      "Events 2"
    ],
    "dateStamps": [
      "2023-12-11"
    ],
    "runHistory": [
      {
        "statusTimestamp": "2023-12-13T02:44:24.865Z",
        "status": "download_error"
      },
      {
        "statusTimestamp": "2023-12-13T02:44:12.421Z",
        "status": "download_started"
      },
      {
        "statusTimestamp": "2023-12-13T02:41:48.458Z",
        "status": "download_error"
      },
      {
        "statusTimestamp": "2023-12-13T02:40:56.694Z",
        "status": "download_started"
      },
      {
        "statusTimestamp": "2023-12-13T02:32:35.607Z",
        "status": "started"
      },
      {
        "statusTimestamp": "2023-12-13T02:30:55.992Z",
        "status": "enqueued"
      }
    ],
    "granularHistory": [
      {
        "source": "Events 1",
        "latestSourceStatus": "download_error",
        "statusByDate": [
          {
            "dateStamp": "2023-12-11",
            "statuses": [
              {
                "statusTimestamp": "2023-12-13T02:41:47.374Z",
                "status": "download_error"
              },
              {
                "statusTimestamp": "2023-12-13T02:40:50.210Z",
                "status": "download_started"
              },
              {
                "statusTimestamp": "2023-12-13T02:32:33.118Z",
                "status": "started"
              },
              {
                "statusTimestamp": "2023-12-13T02:30:55.992Z",
                "status": "enqueued"
              }
            ]
          }
        ]
      },
      {
        "source": "Events 2",
        "latestSourceStatus": "download_error",
        "statusByDate": [
          {
            "dateStamp": "2023-12-11",
            "statuses": [
              {
                "statusTimestamp": "2023-12-13T02:41:47.374Z",
                "status": "download_error"
              },
              {
                "statusTimestamp": "2023-12-13T02:40:50.210Z",
                "status": "download_started"
              },
              {
                "statusTimestamp": "2023-12-13T02:32:33.118Z",
                "status": "started"
              },
              {
                "statusTimestamp": "2023-12-13T02:30:55.992Z",
                "status": "enqueued"
              }
            ]
          }
        ]
      }
    ]
  }
}
```

**401** — This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| status | integer | Yes | — | Allowed values: 401 |
| message | string | Yes | — | — |

```json
{
  "status": 401,
  "message": "This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx"
}
```

**404** — Not Found. The requested resource could not be found.

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| status | integer | Yes | — | Allowed values: 404 |
| message | string | Yes | — | — |

```json
{
  "status": 404,
  "message": "runID de941fa2-3e0f-44ec-a44c-5c51eed07e0z not found"
}
```

## Code samples

### cURL

```bash
curl -X GET "https://statsigapi.net/console/v1/ingestion/runs/{id}" \
  -H "Content-Type: application/json" \
  -H "STATSIG-API-KEY: YOUR_API_KEY"
```

### Python

```python
import requests

response = requests.get(
    "https://statsigapi.net/console/v1/ingestion/runs/{id}",
    headers={
        "Content-Type": "application/json",
        "STATSIG-API-KEY": "YOUR_API_KEY"
    }
)
data = response.json()
```

### JavaScript

```javascript
const response = await fetch("https://statsigapi.net/console/v1/ingestion/runs/{id}", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "STATSIG-API-KEY": "YOUR_API_KEY"
  }
});
const data = await response.json();
```

### PHP

```php
<?php
$ch = curl_init("https://statsigapi.net/console/v1/ingestion/runs/{id}");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Content-Type: application/json",
    "STATSIG-API-KEY: YOUR_API_KEY"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
```

### Go

```go
package main

import (
  "bytes"
  "net/http"
)

func main() {
req, _ := http.NewRequest("GET", "https://statsigapi.net/console/v1/ingestion/runs/{id}", nil)
req.Header.Set("Content-Type", "application/json")
req.Header.Set("STATSIG-API-KEY", "YOUR_API_KEY")
  client := &http.Client{}
  resp, _ := client.Do(req)
  defer resp.Body.Close()
}
```

### Java

```java
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
      .uri(URI.create("https://statsigapi.net/console/v1/ingestion/runs/{id}"))
      .method("GET", HttpRequest.BodyPublishers.noBody())
.header("Content-Type", "application/json")
      .header("STATSIG-API-KEY", "YOUR_API_KEY")
      .build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
```

### Ruby

```ruby
require "net/http"
require "json"

uri = URI("https://statsigapi.net/console/v1/ingestion/runs/{id}")
request = Net::HTTP::Get.new(uri)
request["Content-Type"] = "application/json"
request["STATSIG-API-KEY"] = "YOUR_API_KEY"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
  http.request(request)
end
```

